import { Component, Inject } from '@angular/core';
import { SampleService } from './sample.service';

@Component({
  selector: 'sample',
  templateUrl: './sample.component.html'
})
export class SampleComponent {
  constructor(@Inject(SampleService) service ) {
    this.service = service;
  }
  
  getData() {
    this.service.get()
      .then(data => this.updateData(data));
  }
  
  updateData(data) { 
    this.data = data;
  }
  
  addData() {              
    const id = this.data.length + 1;
    const newData = this.data.slice();
    newData.push({ id: id, value: 1 }); 
    this.updateData(newData);
  }
  
  ngOnInit() {
    this.updateData([]);
  }
}
